import Tool from "./tool";
import AddNodeIcon from "../../images/tools/addnode.png";
import { Editor } from "../components/editor";

export default class AddNodeTool extends Tool {
    constructor(key) {
        super("Add node", AddNodeIcon, key);
    }

    onBackgroundClick(event, positions) {
        var node = {};

        // Set position
        node.fx = positions.graph.x;
        node.fy = positions.graph.y;

        node = Editor.globalState.addNode(node);

        if (node === undefined) {
            console.error("Couldn't add new node");
            return;
        }

        Editor.globalState.setSelectedItem(node);
    }
}
